Versioning
Versioning Configuration of a Bucket
Returns the versioning state of a bucket.
Permissions
You must be the contract owner or an administrator to perform this operation. If not, they can grant you permission to perform the s3:GetBucketVersioning operation using Bucket Policy.
S3 API Compatibility
The
x-amz-expected-bucket-ownerheader isn't supported.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketSuccessful operation
GET /{Bucket}?versioning?versioning=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
Successful operation
<?xml version="1.0" encoding="UTF-8"?>
<VersioningConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<Status>Enabled</Status>
</VersioningConfiguration>
Configures the versioning state of an bucket. Versioning allows keeping multiple variants of an object in the same bucket.
The versioning state can be one of the following:
Enabled: Activates versioning for the bucket. All objects added receive a unique version ID.Suspended: Deactivates versioning. New objects get a null version ID. However, previously created version IDs persist.
Lifecycle configuration for versioned buckets
With Versioning, a bucket maintains one current version of an object and potentially multiple noncurrent (previous) versions, requiring additional management to handle noncurrent object version deletions using a Lifecycle Configuration.
Permissions
You must be the contract owner or an administrator to perform this operation. If not, they can grant you permission to perform the s3:PutBucketVersioning operation using Bucket Policy.
S3 API Compatibility
The
x-amz-mfaheader is not supported.The
MfaDeletesetting is ignored in the PUT request.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketThe base64 encoded MD5 digest of the message (without the headers) according to RFC 1864.
Successful operation
MalformedXML
InvalidBucketState
PUT /{Bucket}?versioning?versioning=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Content-Type: application/xml
Accept: */*
Content-Length: 166
"<?xml version="1.0" encoding="UTF-8"?>
<VersioningConfiguration>
<Status>Enabled</Status>
<MfaDelete>Disabled</MfaDelete>
</VersioningConfiguration>
"No content
Last updated
Was this helpful?